Skip to main content

Get the status and reason of a public asset

GET 

/public-assets/:id/status

Gets the processing and upload status of a public asset. Status can be one of:

  • 'upload_requested': This status is given back when an upload has been requested for the public asset, but didn't get uploaded yet.
  • 'uploaded': This status indicates that the public asset has been uploaded, but not yet processed.
  • 'processed_valid': This status means that the uploaded public asset has been successfully processed and that it is a valid artifact to be used for either build distribution or store release.
  • 'processed_invalid': This means that the uploaded public asset has been processed and that it is an invalid artifact, it cannot be used neither for build distribution nor for store release.
  • 'ready_to_upload': This status is only given to public assets that are created using the deploy step on Bitrise CI. For API uploaded artifacts this will never be set.

RequestClick to copy link

ResponsesClick to copy link

Gets public asset status with reason